Skip to main content
37rellimcm91

4 years ago

smbclient error in Mounting CIFS and NFS Network File Systems Learning Lab

I continue to get the following message when running the following command as Linuxacademy user


[linuxacademy@linuxacademy1 ~]$ smbclient -L 10.0.0.100


smbclient: relocation error: /lib64/libsamba-credentials.so.0: symbol GSS_KRB5_CRED_NO_CI_FLAGS_X, version gssapi_krb5_2_MIT not defined in file libgssapi_krb5.so.2 with link time reference

Was wondering if anyone else is getting this?

Image of
4 years ago
I have not seen that one before, however, it is a known bug when you have older libraries installed. See the bug report here https://bugzilla.redhat.com/show_bug.cgi?id=1367316Looks like you need to install a newer version of kerberos.
Image of 37rellimcm91
37rellimcm91
4 years ago
So I'm not sure how to update/upgrade Kerberos via yum for these VMs?
Image of anthony
anthony
4 years ago
Hi Chris,

Sounds like this is our labs your running on? Terry and I will hop on and see what fixes are required.

Image of
4 years ago
In this case, you can resolve the issue by executing "sudo yum upgrade", be aware this will take a few minutes to complete and install all the updates needed.

We will be updating our lab servers to avoid the necessary updates in the near future, but if performing the steps in this lab before then, just do an upgrade and it will work afterwards.

Thanks for bringing this to our attention.
Image of 37rellimcm91
37rellimcm91
4 years ago
Anthony, correct this is in the Linux Academy RHCSA VMs.

I did try to run:

yum update

yum update kerberos
Image of bombay1982
bombay1982
4 years ago
I faced that problem as well, upgrade resolves that problem
Image of 37rellimcm91
37rellimcm91
4 years ago
What commands did you exactly run to resolve this?
Image of anthony
anthony
4 years ago
Looks like it's a lab issue. I'll get it updated tonight for you.

Image of anthony
anthony
4 years ago
Lab has been updated.